﻿@model Tuple<List<UserGroupView>, List<PortalChartUserGroupView>>
<table class="table table-striped">
    <thead>
        <tr>
            <th><strong>@Companies.UG</strong></th>
            <th><strong>@Companies.Selected</strong></th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>@Charts.DFCBUG</td>
            <td><input id="UGAll" name="UGAll" type="checkbox" @(Model.Item2.Count == 0 ? "checked=\"checked\"" : "" )></td>
        </tr>
        @foreach (UserGroupView item in Model.Item1)
        {
            <tr>
                <td>@item.Name</td>
                <td><input id="UGCk_@item.Id" name="UGCk_@item.Id" type="checkbox" @(Model.Item2.Where(c => c.UserGroup_Id == item.Id).FirstOrDefault() != null ? "checked=\"checked\"" : "" ) ></td>
            </tr>
        }
    </tbody>
</table>
